Factory for UrlMatcher instances.

The factory is available to ng1 services as `$urlMatcherFactory` or ng1 providers as `$urlMatcherFactoryProvider`.

### Hierarchy

- UrlMatcherFactory

### Implements

- Disposable
- UrlMatcherConfig

## Index

### Constructors

- constructor

### Methods

- caseInsensitive
- compile
- defaultSquashPolicy
- dispose
- isMatcher
- strictMode
- type

### Object literals

- paramFactory

## Constructors

- new UrlMatcherFactory(): UrlMatcherFactory

- #### Returns UrlMatcherFactory

  - Defined in url/urlMatcherFactory.ts:40

## Methods

- caseInsensitive(value?: boolean): boolean

- Defines whether URL matching should be case sensitive (the default behavior), or not.

- Defines whether URL matching should be case sensitive (the default behavior), or not.

  #### Example:

      // Allow case insensitive url matches
      urlService.config.caseInsensitive(true);

  #### Parameters

  - ##### value: Optional boolean

  #### Returns boolean

  :

  the current value of caseInsensitive

  Implementation of UrlMatcherConfig.caseInsensitive

  - Defined in url/urlMatcherFactory.ts:47

- compile(pattern: string, config?: object): UrlMatcher

- Creates a UrlMatcher for the specified pattern.

- Creates a UrlMatcher for the specified pattern.

  #### Parameters

  - ##### pattern string

    :

    The URL pattern.

  - ##### config: Optional object

    :

    The config object hash.

    - ##### [key: string]: any

  #### Returns UrlMatcher

  :

  The UrlMatcher.

  - Defined in url/urlMatcherFactory.ts:74

- defaultSquashPolicy(value?: string | true | false): string | true | false

- Sets the default behavior when generating or matching URLs with default parameter values.

- Sets the default behavior when generating or matching URLs with default parameter values.

  #### Example:

      // Remove default parameter values from the url
      urlService.config.defaultSquashPolicy(true);

  #### Parameters

  - ##### value: Optional string | true | false

  #### Returns string | true | false

  :

  the current value of defaultSquashPolicy

  Implementation of UrlMatcherConfig.defaultSquashPolicy

  - Defined in url/urlMatcherFactory.ts:57

- dispose(): void

- #### Returns void

  - Defined in url/urlMatcherFactory.ts:128

- isMatcher(object: any): boolean

- Returns true if the specified object is a UrlMatcher, or false otherwise.

- Returns true if the specified object is a UrlMatcher, or false otherwise.

  #### Parameters

  - ##### object any

    :

    The object to perform the type check against.

  #### Returns boolean

  :

  `true` if the object matches the `UrlMatcher` interface, by implementing all the same methods.

  - Defined in url/urlMatcherFactory.ts:85

- strictMode(value?: boolean): boolean

- Defines whether URLs should match trailing slashes, or not (the default behavior).

- Defines whether URLs should match trailing slashes, or not (the default behavior).

  #### Example:

      // Allow optional trailing slashes
      urlService.config.strictMode(false);

  #### Parameters

  - ##### value: Optional boolean

  #### Returns boolean

  :

  the current value of strictMode

  Implementation of UrlMatcherConfig.strictMode

  - Defined in url/urlMatcherFactory.ts:52

- type(name: string, definition?: ParamTypeDefinition, definitionFn?: function): any

- Creates and registers a custom ParamType object

- Creates and registers a custom ParamType object

  A ParamType can be used to generate URLs with typed parameters.

  #### Parameters

  - ##### name string

    :

    The type name.

  - ##### definition: Optional ParamTypeDefinition

    :

    The type definition. See ParamTypeDefinition for information on the values accepted.

  - ##### definitionFn: Optional function

    :

    A function that is injected before the app runtime starts. The result of this function should be a ParamTypeDefinition. The result is merged into the existing `definition`. See ParamType for information on the values accepted.

    - - (): ParamTypeDefinition

      - #### Returns ParamTypeDefinition

  #### Returns any

  :
  - if a type was registered: the UrlMatcherFactory
    - if only the `name` parameter was specified: the currently registered ParamType object, or undefined

  Note: Register custom types before using them in a state definition.

  See ParamTypeDefinition for examples

  - Defined in url/urlMatcherFactory.ts:115

## Object literals

paramFactory: object

- Defined in url/urlMatcherFactory.ts:28

- fromConfig(id: string, type: ParamType, config: any): Param

- Creates a new Param from a CONFIG block

- Creates a new Param from a CONFIG block

  #### Parameters

  - ##### id string

  - ##### type ParamType

  - ##### config any

  #### Returns Param

  - Defined in url/urlMatcherFactory.ts:30

- fromPath(id: string, type: ParamType, config: any): Param

- Creates a new Param from a url PATH

- Creates a new Param from a url PATH

  #### Parameters

  - ##### id string

  - ##### type ParamType

  - ##### config any

  #### Returns Param

  - Defined in url/urlMatcherFactory.ts:34

- fromSearch(id: string, type: ParamType, config: any): Param

- Creates a new Param from a url SEARCH

- Creates a new Param from a url SEARCH

  #### Parameters

  - ##### id string

  - ##### type ParamType

  - ##### config any

  #### Returns Param

  - Defined in url/urlMatcherFactory.ts:38

Generated using TypeDoc